For the complete documentation index, see llms.txt. This page is also available as Markdown.

デジタルカード API

Notify Digital Card Operation

post

This request is used by D1 to notify the issuer's backend about all operations done on a digital card.

認可
Authorizationstring必須

A JWT generated by the Get Authorization Token API.
The server checks the validity of the provided token to control access to this protected resource. Please refer to Get OAuth 2.0 access token for more details on the flow and on how to get this JWT.

パスパラメータ
issuerIdstring · 最小: 10 · 最大: 10必須

The id of the issuer

digitalCardIdstring · 最小: 1 · 最大: 64必須

The id of the digital card

Pattern: ^[A-Za-z0-9_-]{1,64}$
ヘッダーパラメータ
x-correlation-idstringオプション

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

本文

The following objects represent the notify digital card request body

operationIdstring · 最小: 1 · 最大: 64必須

Unique identifier of the operation

Pattern: ^[A-Za-z0-9_-]{1,64}$
operationstring · enum必須

The lifecycle operation name performed on the target digital card.
A digital card can be activated(i.e. resumed), suspended, deleted from the wallet application or CCI portal; it can also be renewed when expired by the TSP and updated after a card update/renewal operation (concerning a PAN and/or expiry date update).

可能な値:
statusstring · enum必須

Status of the operation

可能な値:
レスポンス
204

Successful

コンテンツなし

post/issuers/{issuerId}/digitalCards/{digitalCardId}/notifications
POST /notifications/d1/v1/issuers/{issuerId}/digitalCards/{digitalCardId}/notifications HTTP/1.1
Host: YOUR_DOMAIN_NAME
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 66

{
  "operationId": "text",
  "operation": "SUSPEND",
  "status": "SUCCESSFUL"
}

コンテンツなし

最終更新

役に立ちましたか?